<app-header></app-header>
<section class="col-12 col-md-12 col-lg-12 col-xl-12 space-container">
    <div class="container">
        <ng-container *ngIf="!view">
            <div  [ngClass]="{'float-r': !add}" class="mb-20">
                <button (click)="show()" mat-button color="primary"><i *ngIf="add" class="fas fa-arrow-left"></i> {{ add ? "Return" : "Add Customer"   }}</button>
            </div> 
            <ng-container *ngIf="!add">
                <div class="form-group">
                    <label class="mt-25">Filter by city</label>
                    <select *ngIf="customers.length > 0" [(ngModel)]="search" name="search" class="form-control">
                        <option value="*">All</option>
                        <option *ngFor="let s of cities" value="{{ s.id }}">{{ s.name }}</option>
                    </select>
                </div>
                <div class="col-12 col-md-12 col-lg-12 col-xl-12 d-grid mt-30">
                    <div *ngIf="customers.length > 0" class="table-responsive">
                        <table  class="table table-hover float-box-shadow">
                            <thead class="thead-dark">
                                <tr>
                                <th scope="col">Full name</th>
                                <th scope="col">Email</th>
                                <th scope="col">View</th>
                                <th scope="col">Edit</th>
                                <th scope="col">Delete</th>
                                </tr>
                            </thead>
                            <tbody>
                                <tr *ngFor="let c of customers">
                                    <ng-container *ngIf="search == '*' || search == c.idcity">
                                        <th scope="row">{{ c.name }} {{ c.surname }}</th>
                                        <td>{{ c.email }}</td>
                                        <td (click)="viewCustomer(c)" class="t-center pointer"><i class="fas fa-eye font-s-icon green"></i></td>
                                        <td (click)="editCustomer(c)" class="t-center pointer"><i class="fas fa-edit font-s-icon blue"></i></td>
                                        <td (click)="inactiveCustomer(c)" class="t-center pointer"><i class="fas fa-trash font-s-icon red"></i></td>
                                    </ng-container>
                                    <div *ngIf="c.idcity == null" class="alert alert-danger space-not-customer" role="alert">
                                        There is not customer
                                    </div>
                                </tr>
                            </tbody>
                        </table>
                    </div>
                    <div *ngIf="customers.length == 0" class="alert alert-danger space-not-customer" role="alert">
                        There is not customer
                    </div>
                </div>
            </ng-container>
            <ng-container *ngIf="add">
                <div class="col-12 col-md-12 col-lg-12 col-xl-12 t-center">
                    <div class="col-12 col-md-12 col-lg-12 col-xl-12">
                        <h1>Add Customer</h1>
                    </div>
                        <form class="mt-30" (ngSubmit)="addCustomer(f)" #f="ngForm" name="form" novalidate>
                            <div class="col-12 col-m-8 col-lg-8 col-xl-8 m-center-auto">
                                <mat-form-field class="mt-10" [ngClass]="{'is-invalid': submitted && name.errors }">
                                    <input matInput placeholder="Name" [(ngModel)]="customer.name" name="name" #name="ngModel" required>
                                    <mat-error *ngIf="submitted && name?.errors?.required">
                                            Name is <strong>required</strong>
                                    </mat-error>
                                </mat-form-field>
                            </div>
                            <div class="col-12 col-m-8 col-lg-8 col-xl-8 m-center-auto">
                                <mat-form-field class="example-full-width mt-10" [ngClass]="{'is-invalid': submitted && surname.errors }">
                                    <input matInput placeholder="Surname" [(ngModel)]="customer.surname" name="surname" #surname="ngModel" required>
                                    <mat-error *ngIf="submitted && surname?.errors?.required">
                                            Surname is <strong>required</strong>
                                    </mat-error>
                                </mat-form-field>
                            </div>
                            <div class="col-12 col-m-8 col-lg-8 col-xl-8 m-center-auto">
                                <mat-form-field class="example-full-width mt-10" [ngClass]="{'is-invalid': submitted && email.errors }">
                                        <input matInput placeholder="Email" [(ngModel)]="customer.email" name="email" #email="ngModel"  required email>
                                    <mat-error *ngIf="submitted && email?.errors?.email">
                                            Please enter a valid email address
                                    </mat-error>
                                    <mat-error *ngIf="email?.errors?.required">
                                            Email is <strong>required</strong>
                                    </mat-error>
                                </mat-form-field>
                            </div>
                            <div class="col-12 col-m-8 col-lg-8 col-xl-8 m-center-auto">
                                <mat-form-field class="example-full-width mt-10" [ngClass]="{'is-invalid': submitted && status.errors }">
                                    <mat-label>Status</mat-label>
                                    <mat-select [(ngModel)]="customer.idstate" name="status" #status="ngModel" required>
                                        <mat-option *ngFor="let s of states" [value]="s.id">{{ s.name }}</mat-option>
                                    </mat-select>
                                    <mat-error *ngIf="submitted && status?.errors?.required">Please choose an status</mat-error>
                                </mat-form-field>
                            </div>
                            <div class="col-12 col-m-8 col-lg-8 col-xl-8 m-center-auto">
                                <mat-form-field class="example-full-width mt-10" [ngClass]="{'is-invalid': submitted && city.errors }">
                                    <mat-label>City</mat-label>
                                    <mat-select [(ngModel)]="customer.idcity" name="city" #city="ngModel" required>
                                        <mat-option *ngFor="let c of cities" [value]="c.id">{{ c.name }}</mat-option>
                                    </mat-select>
                                    <mat-error *ngIf="submitted && city?.errors?.required">Please choose an status</mat-error>
                                </mat-form-field>
                            </div>    
                            <div class="col-12 col-m-8 col-lg-8 col-xl-8 m-center-auto">
                                <div class="mt-30">
                                    <button class="w-100" type="submit" mat-raised-button color="primary">Save</button> 
                                </div>
                            </div>
                        </form>
                    </div>
            </ng-container>
        </ng-container>
        
        <ng-container *ngIf="view">
            <div class="mb-20">
                <button (click)="showViewCustomer()" mat-button color="primary"><i class="fas fa-arrow-left"></i> Return</button>
            </div> 
            <app-customer-view [customerView]="customerView"></app-customer-view>
        </ng-container>
    </div>
</section>

<app-footer></app-footer>
